curl --request GET \
--url https://api.pgw-sandbox.finventi.com/v3/investigationsimport requests
url = "https://api.pgw-sandbox.finventi.com/v3/investigations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.pgw-sandbox.finventi.com/v3/investigations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"direction": "OUTBOUND",
"id": 123,
"messageId": "<string>",
"schema": "SEPA",
"status": "PENDING",
"type": "CLAIM_NON_RECEIPT",
"claimNonReceiptDetails": {
"caseId": "<string>",
"reminders": [
{
"createdAt": "2023-11-07T05:31:56Z",
"direction": "OUTBOUND",
"id": 123,
"messageId": "<string>",
"status": "PENDING",
"delivery": {
"status": "<string>",
"statusReason": "<string>"
},
"sentAt": "2023-11-07T05:31:56Z"
}
],
"additionalInfo": "<string>"
},
"delivery": {
"status": "<string>",
"statusReason": "<string>"
},
"referencedTransactionId": 123,
"reminderEligibility": {
"eligible": true,
"availableFrom": "2023-12-25",
"reason": "NOT_APPLICABLE"
},
"resolution": {
"confirmationCode": "ACNR",
"messageId": "<string>",
"rejectionReasonCode": "<string>",
"settlementDate": "2023-12-25"
},
"statusHistory": [
{
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"statusTo": "PENDING",
"changeReason": "<string>",
"statusFrom": "PENDING"
}
],
"transactionDetails": {
"amount": 123,
"currencyCode": "<string>",
"endToEndId": "<string>",
"method": "SEPA",
"settlementDate": "2023-12-25",
"creditorBic": "<string>",
"creditorIban": "<string>",
"creditorName": "<string>",
"debtorBic": "<string>",
"debtorIban": "<string>",
"debtorName": "<string>",
"remittanceInfo": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"meta": {
"nextPageToken": "<string>",
"previousPageToken": "<string>"
}
}{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}Search investigations
Returns a paginated list of investigations with support for filtering and sorting.
Query Parameters
A limit on the number of objects returned per page. The default is 10 items.
1 <= x <= 100Cursor token for fetching the next page of results.
Cursor token for fetching the previous page of results.
Filter by referenced transaction ID
Filter by investigation status (supports multiple values)
PENDING, RESOLVED, REJECTED Filter by direction (INBOUND, OUTBOUND)
OUTBOUND, INBOUND Filter by investigation type (CLAIM_NON_RECEIPT, PAYMENT_STATUS_REQUEST) Investigation type: CLAIM_NON_RECEIPT (camt.027) or PAYMENT_STATUS_REQUEST (pacs.028). PAYMENT_STATUS_REQUEST can be created only for outbound SEPA INST payments; fetching an investigation by id it also covers SEPA CT reminders for a claim non-receipt, which are returned with schema SEPA.
CLAIM_NON_RECEIPT, PAYMENT_STATUS_REQUEST Filter by case ID (exact match)